# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
#!/bin/bash

GDATA_EXTRA_DEPS="dev-java/jsr305
dev-java/google-collect"
inherit gdata-build 

SLOT="0"
KEYWORDS="~amd64"

DEPEND="${GDATA_EXTRA_DEPS}"
RDEPEND="${GDATA_EXTRA_DEPS}"

src_prepare() {
	sed -i -e '/google-collect*.jar/s|-[0-9].*\.jar|.jar|g' \
		build-src/build.properties
	java-pkg_jar-from jsr305 {,deps/}jsr305.jar
	java-pkg_jar-from google-collect {,deps/}google-collect.jar
	gdata-build_src_prepare
}
